[arch-commits] Commit in gnupg/repos (3 files)

Aaron Griffin aaron at archlinux.org
Thu Jun 18 16:44:24 EDT 2009


    Date: Thursday, June 18, 2009 @ 16:44:24
  Author: aaron
Revision: 42822

Merged revisions 42820 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/gnupg/trunk

........
  r42820 | aaron | 2009-06-18 13:40:52 -0700 (Thu, 18 Jun 2009) | 2 lines
  
  upgpkg: gnupg 1.4.9-3
      Correct info files, add readline dep
........

Added:
  gnupg/repos/testing-x86_64/gnupg.install
    (from rev 42820, gnupg/trunk/gnupg.install)
Modified:
  gnupg/repos/testing-x86_64/	(properties)
  gnupg/repos/testing-x86_64/PKGBUILD

---------------+
 PKGBUILD      |   12 +++++++-----
 gnupg.install |   21 +++++++++++++++++++++
 2 files changed, 28 insertions(+), 5 deletions(-)


Property changes on: gnupg/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnupg/trunk:1-42765
   + /gnupg/trunk:1-42821

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-06-18 20:41:04 UTC (rev 42821)
+++ testing-x86_64/PKGBUILD	2009-06-18 20:44:24 UTC (rev 42822)
@@ -3,14 +3,14 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=gnupg
 pkgver=1.4.9
-pkgrel=2
+pkgrel=3
 pkgdesc="GNU Privacy Guard - a PGP replacement tool"
 arch=(i686 x86_64)
 license=('GPL3')
-depends=('zlib' 'bzip2' 'libldap' 'libusb' 'curl>=7.16.2')
-source=(#ftp://ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2
-	ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2
-	buildfix.patch)
+depends=('zlib' 'bzip2' 'libldap' 'libusb' 'curl>=7.16.2' 'readline>=6.0.00')
+source=(ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2
+        buildfix.patch)
+install=gnupg.install
 url="http://www.gnupg.org/"
 md5sums=('cc52393087480ac8d245625004a6a30c'
          'f7e9f40964bed7e9722ec07ba4fae9a6')
@@ -23,4 +23,6 @@
   make || return 1
   ln -s $pkgname-$pkgver/scripts ..
   make DESTDIR=$startdir/pkg install
+
+  rm -f $pkgdir/usr/share/info/dir
 }

Copied: gnupg/repos/testing-x86_64/gnupg.install (from rev 42820, gnupg/trunk/gnupg.install)
===================================================================
--- testing-x86_64/gnupg.install	                        (rev 0)
+++ testing-x86_64/gnupg.install	2009-06-18 20:44:24 UTC (rev 42822)
@@ -0,0 +1,21 @@
+info_dir=/usr/share/info
+info_files=(gnupg1.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list